using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
        CategoryBuilder.Create("Space Marine Mod", "Adds Space Marine items.",ModAPI.LoadSprite("SMHelmet.png"));
             //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bare Space Marine",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "A space marine without the armour in the skinsuit.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("BaseMarineThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("BaseMarine.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			var person = Instance.GetComponent<PersonBehaviour>();

                        foreach (var body in person.Limbs)
                        {
                           body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                	       body.BaseStrength = 2.5f;
                           body.Health = 3500f;
                           body.InitialHealth = 3500f;
                           body.ShotDamageMultiplier = 0f;
			               body.ImpactPainMultiplier = 0f;
    			           body.BreakingThreshold = 50f;
			               body.CirculationBehaviour.BloodFlow = 20f;
                           body.RegenerationSpeed = 3f;
                           body.PhysicalBehaviour.ForceNoCharge = true;
                           body.CirculationBehaviour.ImmuneToDamage = true;
                           body.IsAndroid = true;
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Helmet",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Standard helmet for Ultramarines.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Chestplate",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Chesplates for Ultramarines.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Central Plate",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Central armour for Ultramarines.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Faulds",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Fauld armour for Ultramarines.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMLowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Thigh Plate (Front)",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Thigh Plate",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Greaves (Front)",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Greaves",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Pouldron (Front)",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Pouldron",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Gauntlet (Front)",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Gauntlet",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Boot (Front)",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMBootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMBootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Boot",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMBootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Ultramarine Bolter Rifle",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A very powerful bolter that Ultramarines use.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("UMBolterThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMBolter.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("120 mm"); 
                    customCartridge.name = "Bolter Shell";
                    firearm.AutomaticFireInterval = 0.25f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 30f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 20f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0f;
                    }
                    
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Ultramarine Backpack",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("UMBackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UMBackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Helmet",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Standard helmet for Dark Angels.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Chestplate",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Chesplates for Dark Angels.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Central Plate",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Central armour for Dark Angels.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Faulds",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Fauld armour for Dark Angels.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DALowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DALower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Thigh Plate (Front)",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Thigh Plate",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Greaves (Front)",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Greaves",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Pouldron (Front)",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Pouldron",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Gauntlet (Front)",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Gauntlet",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DAGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DAGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Boot (Front)",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DABootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DABootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Boot",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DABootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DABoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Dark Angel Bolter Rifle",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A very powerful bolter that Dark Angels use.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("DABolterThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DABolter.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("120 mm"); 
                    customCartridge.name = "Bolter Shell";
                    firearm.AutomaticFireInterval = 0.25f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 30f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 20f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0f;
                    }
                    
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Dark Angel Backpack",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("DABackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DABackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Helmet",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Standard helmet for Emperor's Children.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Chestplate",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Chesplates for Emperor's Children.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Central Plate",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Central armour for Emperor's Children.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Faulds",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Fauld armour for Emperor's Children.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECLowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Thigh Plate (Front)",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Thigh Plate",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Greaves (Front)",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Greaves",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Pouldron (Front)",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Pouldron",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Gauntlet (Front)",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Gauntlet",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Boot (Front)",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECBootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECBootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Boot",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECBootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Emperor's Children Bolter Rifle",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A very powerful bolter that Emperor's Children use.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("ECBolterThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECBolter.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("120 mm"); 
                    customCartridge.name = "Bolter Shell";
                    firearm.AutomaticFireInterval = 0.25f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 30f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 20f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0f;
                    }
                    
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Emperor's Children Backpack",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ECBackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECBackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warrior Helmet",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Standard helmet for Iron Warriors.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warrior Chestplate",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Chesplates for Iron Warriors.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Central Plate",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Central armour for Iron Warriors.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Faulds",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Fauld armour for Iron Warriors.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWLowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Thigh Plate (Front)",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Thigh Plate",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Greaves (Front)",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Greaves",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Pouldron (Front)",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Pouldron",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Gauntlet (Front)",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Gauntlet",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Boot (Front)",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWBootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWBootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Boot",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWBootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Iron Warriors Bolter Rifle",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A very powerful bolter that Ultramarines use.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("IWBolterThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWBolter.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("120 mm"); 
                    customCartridge.name = "Bolter Shell";
                    firearm.AutomaticFireInterval = 0.25f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 30f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 20f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0f;
                    }
                    
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Warriors Backpack",
                    NameToOrderByOverride = "D",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IWBackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IWBackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Helmet",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Standard helmet for White Scars.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Chestplate",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Chesplates for White Scars.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Central Plate",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Central armour for White Scars.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Faulds",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Fauld armour for White Scars.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSLowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Thigh Plate (Front)",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Thigh Plate",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Greaves (Front)",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Greaves",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Pouldron (Front)",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Pouldron",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Gauntlet (Front)",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Gauntlet",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Boot (Front)",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSBootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSBootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Boot",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSBootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "White Scar Bolter Rifle",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A very powerful bolter that White Scar use.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("WSBolterThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSBolter.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("120 mm"); 
                    customCartridge.name = "Bolter Shell";
                    firearm.AutomaticFireInterval = 0.25f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 30f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 20f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0f;
                    }
                    
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "White Scar Backpack",
                    NameToOrderByOverride = "E",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WSBackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WSBackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Helmet",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Standard helmet for Space Wolves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Chestplate",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Chesplates for Space Wolves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Central Plate",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Central armour for Space Wolves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Faulds",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Fauld armour for Space Wolves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWLowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Thigh Plate (Front)",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Thigh Plate",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Greaves (Front)",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Greaves",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Pouldron (Front)",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Pouldron",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Gauntlet (Front)",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Gauntlet",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Boot (Front)",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWBootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWBootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Boot",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWBootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Default Bolter Rifle",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A standard black bolter that can be used by any Chapter.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("DefaultBolterThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DefaultBolter.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("120 mm"); 
                    customCartridge.name = "Bolter Shell";
                    firearm.AutomaticFireInterval = 0.25f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 30f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 20f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0f;
                    }
                    
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Space Wolves Backpack",
                    NameToOrderByOverride = "F",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SWBackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SWBackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Helmet",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Standard helmet for Imperial Fists.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Chestplate",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Chesplates for Imperial Fists.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Central Plate",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Central armour for Imperial Fists.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Faulds",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Fauld armour for Imperial Fists.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFLowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Thigh Plate (Front)",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Thigh Plate",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Greaves (Front)",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Greaves",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Pouldron (Front)",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Pouldron",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Gauntlet (Front)",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Gauntlet",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Boot (Front)",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFBootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFBootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Boot",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFBootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Imperial Fists Backpack",
                    NameToOrderByOverride = "G",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IFBackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IFBackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Helmet",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Standard helmet for Night Lords.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Chestplate",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Chesplates for Night Lords.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Central Plate",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Central armour for Night Lords.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Faulds",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Fauld armour for Night Lords.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLLowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Thigh Plate (Front)",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Thigh Plate",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Greaves (Front)",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Greaves",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Pouldron (Front)",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Pouldron",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Gauntlet (Front)",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Gauntlet",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Boot (Front)",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLBootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLBootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Boot",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLBootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Night Lords Bolter Rifle",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A standard black bolter that can be used by any Chapter.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("NLBolterThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLBolter.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("120 mm"); 
                    customCartridge.name = "Bolter Shell";
                    firearm.AutomaticFireInterval = 0.25f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 30f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 20f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0f;
                    }
                    
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Night Lords Backpack",
                    NameToOrderByOverride = "H",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("NLBackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NLBackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Helmet",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Standard helmet for Blood Angels.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Chestplate",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Chesplates for Blood Angels.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Central Plate",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Central armour for Blood Angels.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Faulds",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Fauld armour for Blood Angels.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BALowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BALower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Thigh Plate (Front)",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Thigh Plate",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Greaves (Front)",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Greaves",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Pouldron (Front)",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Pouldron",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Gauntlet (Front)",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Gauntlet",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BAGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BAGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Boot (Front)",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BABootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BABootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Boot",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BABootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BABoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Blood Angels Backpack",
                    NameToOrderByOverride = "I",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("BABackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BABackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Helmet",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Standard helmet for Iron Hands.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Chestplate",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Chesplates for Iron Hands.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Central Plate",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Central armour for Iron Hands.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Faulds",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Fauld armour for Iron Hands.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHLowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Thigh Plate (Front)",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Thigh Plate",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Greaves (Front)",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Greaves",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Pouldron (Front)",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Pouldron",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Gauntlet (Front)",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Gauntlet",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Boot (Front)",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHBootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHBootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Boot",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHBootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Iron Hands Bolter Rifle",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A very powerful bolter that Iron Hands use.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("IHBolterThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHBolter.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("120 mm"); 
                    customCartridge.name = "Bolter Shell";
                    firearm.AutomaticFireInterval = 0.25f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 30f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 20f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0f;
                    }
                    
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Iron Hands Backpack",
                    NameToOrderByOverride = "J",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("IHBackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IHBackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
                        //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Helmet",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Standard helmet for Luna Wolves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Chestplate",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Chesplates for Luna Wolves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Central Plate",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Central armour for Luna Wolves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Faulds",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Fauld armour for Luna Wolves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWLowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWLower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Thigh Plate (Front)",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Thigh Plate",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Greaves (Front)",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Greaves",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Pouldron (Front)",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Pouldron",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Gauntlet (Front)",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Gauntlet",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Boot (Front)",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWBootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWBootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Boot",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWBootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWBoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Luna Wolves Bolter Rifle",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A very powerful bolter that Luna Wolves use.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("LWBolterThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWBolter.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("120 mm"); 
                    customCartridge.name = "Bolter Shell";
                    firearm.AutomaticFireInterval = 0.25f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 30f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 20f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0f;
                    }
                    
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Luna Wolves Backpack",
                    NameToOrderByOverride = "K",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("LWBackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LWBackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Helmet",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Standard helmet for Salamanders.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAHelmetThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAHelmet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Chestplate",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Chesplates for Salamanders.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAChestThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAChest.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Central Plate",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Central armour for Salamanders.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAMiddleThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAMiddle.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Faulds",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Fauld armour for Salamanders.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SALowerThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SALower.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Thigh Plate (Front)",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Front Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAThighFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAThighFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Thigh Plate",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Thigh Plate.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAThighThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAThigh.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Greaves (Front)",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Front Greave.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAShinFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAShinFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLegFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Greaves",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Greaves.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAShinThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAShin.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerLeg";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Pouldron (Front)",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Front Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAShoulderFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAShoulderFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Pouldron",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Pouldron.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAShoulderThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAShoulder.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Gauntlet (Front)",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Front Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAGauntletFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAGauntletFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Gauntlet",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Gauntlet.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SAGauntletThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SAGauntlet.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Boot (Front)",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Front Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SABootFrontThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SABootFront.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "FootFront";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Boot",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Boot.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SABootThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SABoot.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "Foot";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"), 
                    NameOverride = "Salamanders Backpack",
                    NameToOrderByOverride = "L",
                    DescriptionOverride = "Packpack that includes a jump system and life support.", 
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"), 
                    ThumbnailOverride = ModAPI.LoadSprite("SABackpackThumb.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SABackpack.png"); 
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 100;
                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;


                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Magnum Revolver"),
                    NameOverride = "Bolt Pistol",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "A smaller, less powerful Bolter.",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("BoltPistolThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BoltPistol.png");
                        Instance.FixColliders();

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("50 BMG"); 
                    customCartridge.name = "Bolt Pistol Round";
                    firearm.AutomaticFireInterval = 0.35f;
                    firearm.Automatic = true;
                        customCartridge.Damage *= 15f; 
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                        customCartridge.StartSpeed *= 10f; 
                    firearm.Cartridge = customCartridge;
                    customCartridge.Recoil *= 0f;
                    }
                    
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Power Maul",
                    NameToOrderByOverride = "Z",
                    DescriptionOverride = "An electrically charged maul for bashing in Heretics. ",
                    CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("PowerMaceThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PowerMace.png");

                    Instance.GetOrAddComponent<NoTemperature>();
                    Instance.GetOrAddComponent<CustomGlowBattery>().TargetCharge = 20f;
                    Instance.GetComponent<CustomGlowBattery>().GlowSprite = ModAPI.LoadSprite("PowerMace.png");
                    Instance.GetComponent<CustomGlowBattery>().Colour = new Color32(0, 0, 0, 0);
                    }
                }
            );
            //
            ModAPI.Register(
                  new Modification()
                  {
                      OriginalItem = ModAPI.FindSpawnable("Sword"),
                      NameOverride = "Chainsword",
                      NameToOrderByOverride = "Z",
                      DescriptionOverride = "Doesn't actually spin because I'm not smart, looks cool though.",
                      CategoryOverride = ModAPI.FindCategory("Space Marine Mod"),
                      ThumbnailOverride = ModAPI.LoadSprite("ChainSwordThumb.png"),
                      AfterSpawn = (Instance) =>
                      {
                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ChainSword.png");

                          Instance.FixColliders();
                      }
                  }
              );
        }
            public class FlashbangFlash : MonoBehaviour
    {
        public LightSprite ScreenLight;
        public void Start()
        {
            ScreenLight = ModAPI.CreateLight(transform, new Color(1f, 1f, 1f, 1));

            ScreenLight.Brightness = 75f;
            ScreenLight.Radius = 15f;
            ScreenLight.transform.SetParent(this.gameObject.transform);

        }
    }
    }
}